Base URL: https://demo-api.incodesmile.com — Incode demo environment
Fetch the results from /api/validate/curp/v3. The recommended wait time is 25 secs and retrying every 5 secs after that.
Path & query parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
idResults |
query | string | yes | |
api-version |
header | string | yes |
Responses
200
OK
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
get_version |
integer (int64) | ||
scrapingStatus |
string | - IN_PROGRESS: Service hasn't finished and should retry in 5 seconds. - FINISHED: Service finished and we got a result. Either a success or an error, such as curp not found. - ERROR: Service had an unhandled error, a new attempt is recommended. Enum: IN_PROGRESS, FINISHED, ERROR |
|
success |
boolean | ||
result |
string | - success: Call finished and data was validated successfully. - error: Invalid curp or data, exact details returned by the website can be found in the resultDetails field. - timeout: Elements needed for scrapping were never found, isolated network issue, website down or website changed. - maintenance: Elements indicating that the website is under maintenance have been found. - unhandledError: Unhandled error occured during scrapping. | |
resultDetails |
string | ||
screenshotUrl |
string | ||
curp |
string | ||
nombre |
string | ||
primerApellido |
string | ||
segundoApellido |
string | ||
sexo |
string | ||
nacionalidad |
string | ||
entidadNacimiento |
string | ||
documentoProbatorio |
string | ||
datosDocumentoProbatorio |
object | - municipioRegistro: String. - entidadRegistro: String. - numeroActa: Integer. - anioRegistro: Integer. | |
curpHistoricas |
string | ||
statusCurp |
string | ||
transactionId |
string | ||
codigoRespuestaCCB |
string | ||
descripcionRespuestaCCB |
string | ||
codigoRespuestaRENAPO |
string | ||
descripcionRespuestaRENAPO |
string |
400
Bad Request
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
timestamp |
integer (int64) | UTC timestamp in milliseconds | |
status |
integer (int32) | Custom error code or HTTP status code | |
error |
string | HTTP status error | |
message |
string | Custom error message | |
path |
string | Endpoint path | |
details |
object | Custom error details |